Name: sugar-read-activity
Version: 123
Release: %mkrel 5
Summary: Read activity for Sugar
License: GPL
Group: Graphical desktop/Other
Url: https://sugarlabs.org/
Source: https://download.sugarlabs.org/sources/sucrose/fructose/Read/Read-%{version}.tar.bz2
BuildArch: noarch
BuildRequires: gettext
BuildRequires: evince-devel
BuildRequires: sugar-toolkit-gtk3
Requires: python3-beautifulsoup4
Requires: evince
Requires: python3-lxml
Requires: sugar-toolkit-gtk3
Requires: python3-gobject3

%description
Read activity for Sugar

%prep
%setup -q -n Read-%{version}

%build
%{__python3} setup.py build

%install
%{__python3} setup.py install --prefix=%{buildroot}/%{_prefix}

# fix .desktop file
sed -i -e 's!%{buildroot}!!g' %{buildroot}%{_datadir}/applications/*.desktop

# drop unneeded files
rm -rf %{buildroot}%{_datadir}/sugar/activities/*/setup.py
find %{buildroot} -name '*.py.orig' -delete

rm -rf %{buildroot}/%{_datadir}/sugar/activities/*/epubview/modules

%find_lang org.laptop.sugar.ReadActivity

%files -f org.laptop.sugar.ReadActivity.lang
%doc AUTHORS
%license COPYING
%{_datadir}/applications/org.laptop.sugar.ReadActivity.activity.desktop
%{_datadir}/sugar/activities/*


%changelog
* Thu Mar 31 2022 umeabot <umeabot> 123-5.mga9
+ Revision: 1836858
- Mageia 9 Mass Rebuild

* Sat Dec 12 2020 wally <wally> 123-4.mga8
+ Revision: 1655865
- drop buildroot definition from .desktop files
- drop unneeded files
+ danf <danf>
- Switch URLs from http: to https:

* Wed Mar 04 2020 zezinho <zezinho> 123-3.mga8
+ Revision: 1553603
- fix requires on beautifulsoup
+ umeabot <umeabot>
- Mageia 8 Mass Rebuild

* Mon Oct 28 2019 wally <wally> 123-1.mga8
+ Revision: 1456382
- new version 123
- switch to python3

* Wed Mar 13 2019 wally <wally> 122-1.mga7
+ Revision: 1375694
- new version 122

* Fri Sep 21 2018 umeabot <umeabot> 120-2.mga7
+ Revision: 1291723
- Mageia 7 Mass Rebuild

* Fri Apr 27 2018 zezinho <zezinho> 120-1.mga7
+ Revision: 1222847
- new version 120

* Fri Jun 09 2017 akien <akien> 117-2.mga6
+ Revision: 1107400
- Add desktop file

* Mon Jan 18 2016 zezinho <zezinho> 117-1.mga6
+ Revision: 925339
- new version

* Wed Oct 15 2014 umeabot <umeabot> 113-3.mga5
+ Revision: 748011
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 113-2.mga5
+ Revision: 689598
- Mageia 5 Mass Rebuild
+ ovitters <ovitters>
- add gobject-introspection BR for typelib auto BR

* Wed May 28 2014 zezinho <zezinho> 113-1.mga5
+ Revision: 627356
- new version

* Sat Nov 02 2013 fwang <fwang> 106-4.mga4
+ Revision: 549020
- fix requires

* Fri Oct 18 2013 umeabot <umeabot> 106-3.mga4
+ Revision: 519370
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 106-2.mga3
+ Revision: 383691
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Dec 03 2012 zezinho <zezinho> 106-1.mga3
+ Revision: 326130
- new version

* Wed Nov 21 2012 zezinho <zezinho> 99-1.mga3
+ Revision: 320237
- fix BR
- newversion

* Sat Nov 19 2011 zezinho <zezinho> 92-1.mga2
+ Revision: 169542
- new version
+ ennael <ennael>
- imported package sugar-read-activity


* Wed Dec 08 2010 Oden Eriksson <oeriksson@mandriva.com> 78-2mdv2011.0
+ Revision: 615037
- the mass rebuild of 2010.1 packages

* Sun Apr 04 2010 Aleksey Lim <alsroot@mandriva.org> 78-1mdv2010.1
+ Revision: 531173
- Sucrose 0.88.0 release

* Mon Oct 12 2009 Aleksey Lim <alsroot@mandriva.org> 76-1mdv2010.0
+ Revision: 456980
- Push 76

* Fri Sep 25 2009 Aleksey Lim <alsroot@mandriva.org> 75-1mdv2010.0
+ Revision: 449008
- Update to 75

* Sat Sep 19 2009 Aleksey Lim <alsroot@mandriva.org> 74-1mdv2010.0
+ Revision: 444548
- Update to 74

* Tue Aug 11 2009 Aleksey Lim <alsroot@mandriva.org> 70-3mdv2010.0
+ Revision: 415104
- Sucrose 0.85.2

* Mon Apr 06 2009 Aleksey Lim <alsroot@mandriva.org> 65-2mdv2009.1
+ Revision: 364279
- SL#703 fix

* Wed Mar 04 2009 Aleksey Lim <alsroot@mandriva.org> 65-1mdv2009.1
+ Revision: 348320
- Sucrose 0.84.0 release

* Mon Feb 23 2009 Aleksey Lim <alsroot@mandriva.org> 64-1mdv2009.1
+ Revision: 344236
- Sucrose 0.83.6 release

* Sun Feb 15 2009 Aleksey Lim <alsroot@mandriva.org> 63-2mdv2009.1
+ Revision: 340428
- SL#351 AttributeError: 'module' object has no attribute 'evince_embed_init'

* Tue Jan 20 2009 Aleksey Lim <alsroot@mandriva.org> 63-1mdv2009.1
+ Revision: 332008
- new Sucrose 0.83.4 release

* Sun Jan 11 2009 Aleksey Lim <alsroot@mandriva.org> 62-1mdv2009.1
+ Revision: 328410
- initial commit

